org.eclipse.graphiti.mm.util

## Class MmSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.graphiti.mm.util.MmSwitch<T>

    public class MmSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `MmPackage`

### Constructor Summary

Constructors
Constructor and Description
`MmSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseGraphicsAlgorithmContainer(GraphicsAlgorithmContainer object)` Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
`T` `caseProperty(Property object)` Returns the result of interpreting the object as an instance of 'Property'.
`T` `casePropertyContainer(PropertyContainer object)` Returns the result of interpreting the object as an instance of 'Property Container'.
`T` `caseStyleContainer(StyleContainer object)` Returns the result of interpreting the object as an instance of 'Style Container'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MmSwitch

    public MmSwitch()

Creates an instance of the switch.

### Method Detail

#### caseProperty

    public T caseProperty(Property object)

Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Property'.
See Also:
  `doSwitch(EObject)`

#### caseGraphicsAlgorithmContainer

    public T caseGraphicsAlgorithmContainer(GraphicsAlgorithmContainer object)

Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
See Also:
  `doSwitch(EObject)`

#### casePropertyContainer

    public T casePropertyContainer(PropertyContainer object)

Returns the result of interpreting the object as an instance of 'Property Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Property Container'.
See Also:
  `doSwitch(EObject)`

#### caseStyleContainer

    public T caseStyleContainer(StyleContainer object)

Returns the result of interpreting the object as an instance of 'Style Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Style Container'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`